> ## Documentation Index
> Fetch the complete documentation index at: https://help.vori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search store products

> Endpoint for fast full-text product search. This returns only what is indexed in Algolia and does not hit the database.



## OpenAPI

````yaml /api/openapi.json get /v1/store-products/search
openapi: 3.0.0
info:
  title: Vori API
  description: >-
    Read and manage your store catalog, vendors, and inventory. Requests require
    a bearer token; see "Connect to the Vori REST API" for how to obtain one.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.vori.com
    description: production
security: []
tags: []
paths:
  /v1/store-products/search:
    get:
      tags:
        - Store products
      summary: Search store products
      description: >-
        Endpoint for fast full-text product search. This returns only what is
        indexed in Algolia and does not hit the database.
      operationId: searchStoreProducts
      parameters:
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            default: 1
            type: integer
        - name: take
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 1000
            default: 10
            type: integer
        - name: store_ids
          required: true
          in: query
          schema:
            type: array
            items:
              type: string
              pattern: ^-?[0-9]+$
        - name: query
          required: true
          in: query
          schema:
            type: string
        - name: active
          required: false
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreProductTypeaheadSearchPageDto'
        '403':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InsufficientPermissionsError'
                  - $ref: '#/components/schemas/NoBannerAssociationError'
      security:
        - bearer: []
components:
  schemas:
    StoreProductTypeaheadSearchPageDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/StoreProductTypeaheadSearchResultDto'
        meta:
          $ref: '#/components/schemas/PageMetaDto'
      required:
        - data
        - meta
    InsufficientPermissionsError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - insufficient_permissions
        error_details:
          $ref: '#/components/schemas/InsufficientPermissionsErrorDetails'
      required:
        - error_code
        - error_details
    NoBannerAssociationError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - no_banner_association
      required:
        - error_code
    StoreProductTypeaheadSearchResultDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        barcode:
          type: string
        department:
          $ref: '#/components/schemas/NestedStoreDepartmentDto'
        active:
          type: boolean
        store_id:
          type: string
        base_retail_price:
          type: string
          nullable: true
          format: positive-monetary
          pattern: ^[0-9]+(\.[0-9]+)?$
          example: '199.99'
        brand:
          type: string
          nullable: true
        target_margin:
          type: string
          nullable: true
          pattern: ^[0-9]+(\.[0-9]+)?$
          example: '199.99'
        case_size:
          type: integer
          nullable: true
        unit_volume:
          type: string
          nullable: true
        sold_by:
          type: string
          nullable: true
        barcodes:
          type: array
          items:
            $ref: '#/components/schemas/NestedStoreProductBarcode'
      required:
        - id
        - name
        - barcode
        - department
        - active
        - store_id
        - base_retail_price
        - brand
        - target_margin
        - case_size
        - unit_volume
        - sold_by
        - barcodes
    PageMetaDto:
      type: object
      properties:
        page:
          type: number
        take:
          type: number
        item_count:
          type: number
        page_count:
          type: number
        has_previous_page:
          type: boolean
        has_next_page:
          type: boolean
      required:
        - page
        - take
        - item_count
        - page_count
        - has_previous_page
        - has_next_page
    InsufficientPermissionsErrorDetails:
      type: object
      properties:
        resource:
          allOf:
            - $ref: '#/components/schemas/Resource'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - resource
        - action
    NestedStoreDepartmentDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    NestedStoreProductBarcode:
      type: object
      properties:
        barcode:
          type: string
        barcode_type:
          allOf:
            - $ref: '#/components/schemas/BarcodeType'
      required:
        - barcode
        - barcode_type
    Resource:
      type: string
      enum:
        - '*'
        - accounting_integration
        - agent_chats
        - asynchronous_tasks
        - banners
        - blackhawk_transactions
        - capabilities
        - coupons
        - custom_quick_actions
        - datacap_transactions
        - departments
        - discounts
        - ditto_auth_tokens
        - edge_agents
        - electronic_shelf_labels
        - employees
        - files
        - food_modifiers
        - gift_cards
        - gl_code_mappings
        - house_accounts
        - inventory
        - inventory_sessions
        - invoices
        - item_modifiers
        - label_dimension_sets
        - label_sheet_profiles
        - lanes
        - loyalty_bonuses
        - loyalty_campaigns
        - loyalty_rewards
        - notification_templates
        - offers
        - pos_banner_configurations
        - pos_orders
        - pos_tills
        - price_tags
        - product_ranges
        - products
        - promotions
        - purchase_orders
        - receiving
        - reporting
        - revision_sessions
        - revisions
        - roles
        - shopper_tags
        - shoppers
        - store_product_inventory_counts
        - store_product_rules
        - store_product_tag_templates
        - store_snap_incentive_program_coupons
        - store_vendor_merge_requests
        - store_vendor_product_merge_requests
        - store_vendor_products
        - store_vendors
        - stores
        - tag_printings
        - tag_template_presets
        - tag_templates
        - tax_rates
        - users
        - variable_weights
        - vendor_merge_requests
        - vendor_product_merge_requests
        - vendors
        - wallet_payments
        - wic_products
    Action:
      type: string
      enum:
        - '*'
        - cancel
        - check_in
        - create
        - delete
        - read
        - record_events
        - refund
        - restart
        - update
        - void
    BarcodeType:
      type: string
      enum:
        - EAN 13 Type 2 Without Check Digit
        - EAN-13
        - EAN-13 Without Check Digit
        - EAN-14
        - EAN-14 Without Check Digit
        - EAN-8
        - EAN-8 Without Check Digit
        - PLU
        - PRODUCE PLU
        - Type 2 EAN
        - Type 2 UPC
        - Unsanitized
        - UPC Shipping Container
        - UPC-A
        - UPC-A Type 2 Without Check Digit
        - UPC-A Without Check Digit
        - UPC-E
        - UPC-E Without Check Digit
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

## Related topics

- [Store product search result](/api/models/store-product-search-result.md)
- [Search & Manage the Vendor Products Catalog](/vendors-and-vendor-products/vendor-products/search-and-manage-the-vendor-products-catalog.md)
- [Edit Store Products in the VoriOS App](/product-and-product-catalog-management/product-editing-and-activation/edit-store-products-in-the-vori-os-app.md)
